Bug 183316 - [PATCH] security/lynis: update to 1.3.3
Summary: [PATCH] security/lynis: update to 1.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-26 04:10 UTC by koobs
Modified: 2013-11-19 12:56 UTC (History)
1 user (show)

See Also:


Attachments
lynis-1.3.3.patch (1.55 KB, patch)
2013-10-26 04:10 UTC, koobs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koobs 2013-10-26 04:10:00 UTC
security/lynis: Update to 1.3.3

- Update to 1.3.3
- Update pkg-plist
- Add LICENSE

Changes: 1.3.3 (2013-10-24)

 + Added NTP configuration type to report [TIME-3104]
 * Do not warn on empty shells for FreeBSD systems [AUTH-9218]
 * Extended checks for presence NTP client or daemon [TIME-3104]
 * Extended logging

portlint: OK - looks fine.
porttest: OK
testport: OK - poudriere, all versions/archs

Port maintainer (loon@noncensored.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-26 04:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-10-26 04:10:09 UTC
Maintainer of security/lynis,

Please note that PR ports/183316 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/183316

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-10-26 04:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Steve Wills freebsd_committer 2013-10-26 14:39:16 UTC
Responsible Changed
From-To: swills->koobs

submitter is committer
Comment 5 dfilter service freebsd_committer 2013-11-19 12:19:10 UTC
Author: koobs
Date: Tue Nov 19 12:19:01 2013
New Revision: 334306
URL: http://svnweb.freebsd.org/changeset/ports/334306

Log:
  security/lynis: Update to 1.3.5
  
  - Update to 1.3.5
  - Update MASTER_SITES
  - Update pkg-plist
  - Add LICENSE
  
  Changes: http://www.rootkit.nl/files/lynis-changelog.html
  
  PR:		ports/183316
  Submitted by:	koobs
  Approved by:	maintainer timeout (3 weeks)

Modified:
  head/security/lynis/Makefile   (contents, props changed)
  head/security/lynis/distinfo   (contents, props changed)
  head/security/lynis/pkg-plist   (contents, props changed)

Modified: head/security/lynis/Makefile
==============================================================================
--- head/security/lynis/Makefile	Tue Nov 19 12:11:25 2013	(r334305)
+++ head/security/lynis/Makefile	Tue Nov 19 12:19:01 2013	(r334306)
@@ -2,17 +2,18 @@
 # $FreeBSD$
 
 PORTNAME=	lynis
-PORTVERSION=	1.3.0
+PORTVERSION=	1.3.5
 CATEGORIES=	security
-MASTER_SITES=	http://www.rootkit.nl/files/ \
-		http://downloads.rootkit.nl/
+MASTER_SITES=	http://cisofy.com/files/
 
 MAINTAINER=	loon@noncensored.com
 COMMENT=	Security and system auditing tool
 
+LICENSE=	GPLv3
+
 NO_BUILD=	yes
 
-PORTDOCS=	CHANGELOG INSTALL FAQ LICENSE README
+PORTDOCS=	INSTALL FAQ LICENSE README
 
 post-patch:
 	@${REINPLACE_CMD} -e '/tINCLUDE_TARGETS/ s|".*"|"${DATADIR}/include"|; \

Modified: head/security/lynis/distinfo
==============================================================================
--- head/security/lynis/distinfo	Tue Nov 19 12:11:25 2013	(r334305)
+++ head/security/lynis/distinfo	Tue Nov 19 12:19:01 2013	(r334306)
@@ -1,2 +1,2 @@
-SHA256 (lynis-1.3.0.tar.gz) = fe265965eb1ce8fac352e0bddea1d5ec6508c319bf88a5f63c2edecf2af6de54
-SIZE (lynis-1.3.0.tar.gz) = 119797
+SHA256 (lynis-1.3.5.tar.gz) = 37cbe96f83d861aae7379319936c88726d500f27b927be0005a1e1a181679d8c
+SIZE (lynis-1.3.5.tar.gz) = 128188

Modified: head/security/lynis/pkg-plist
==============================================================================
--- head/security/lynis/pkg-plist	Tue Nov 19 12:11:25 2013	(r334305)
+++ head/security/lynis/pkg-plist	Tue Nov 19 12:19:01 2013	(r334306)
@@ -27,6 +27,7 @@ man/man8/lynis.8.gz
 %%DATADIR%%/include/tests_banners
 %%DATADIR%%/include/tests_boot_services
 %%DATADIR%%/include/tests_crypto
+%%DATADIR%%/include/tests_custom.template
 %%DATADIR%%/include/tests_databases
 %%DATADIR%%/include/tests_file_integrity
 %%DATADIR%%/include/tests_file_permissions
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2013-11-19 12:56:58 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!